package com.muzhi.tianhe.entity;

import cn.hutool.core.annotation.Alias;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


@Data
@TableName("th_task_info") // 替换为实际的表名
public class Task {

    @TableId(value = "task_id",type = IdType.INPUT)
    @Alias("textField_m0rkuewb")
    private String taskId; // 任务ID

    @Alias("textField_m0vtq84z")
    private String taskTypeId; // 任务类型ID

    @Alias("textField_m0rkuewc")
    private String projectId; // 项目ID

    @Alias("textField_m0rkuewd")
    private String taskName; // 任务名称

    @Alias("textField_m0vtq850")
    private String taskTypeName; // 任务类型名称

    @Alias("textField_m0rkuewe")
    private String projectName; // 项目名称

    @Alias("selectField_m0rkuewk")
    private String taskStatus; // 任务状态

    @Alias("employeeField_m0xldyf4")
    private String executor; // 执行人

    @Alias("textField_m102rax6")
    private String responsibleDept; // 责任部门

    @Alias("employeeField_m217qmy5")
    private String viewPermission; // 查看权限

    @Alias("employeeField_m201jmmi")
    private String responsiblePerson; // 责任人

    @Alias("textField_m0xldyf3")
    private String parentTaskNumber; // 上级任务编号

    @Alias("textField_m4s27u11")
    private String annualTarget; // 年度目标/年度战略意图澄清

    @Alias("employeeField_m0xldyf5")
    private String coResponsiblePerson; // 联席责任人

    @Alias("employeeField_m21hlidz")
    private String parentTaskResponsiblePerson; // 上级任务责任人

    @Alias("textField_m4w6u6t4")
    private String taskWeight; // 任务权重

    @Alias("textField_m0xldyf8")
    private String firstLevelTaskNumber; // 一级任务编号

    @Alias("textField_m0xldyf7")
    private String weight; // 权重

    @Alias("textField_m0xldyf9")
    private String secondLevelTaskNumber; // 二级任务编号

    @Alias("textField_m21hlie0")
    private String issuesAndRisks; // 问题与风险

    @Alias("textField_m0xldyfa")
    private String thirdLevelTaskNumber; // 三级任务编号

    @Alias("textField_m21hlie1")
    private String solutionIdea; // 解决方案思路

    @Alias("textField_m21hliea")
    private String statisticalCaliber; // 统计口径

    @Alias("textField_m21hliec")
    private String selfScore; // 自评分

    @Alias("textField_m102rax9")
    private String acceptanceCriteria; // 验收依据

    @Alias("textField_m21hlied")
    private String proofMaterials; // 证明材料

    @Alias("textField_m21hlieb")
    private String annualIndicatorCompletion; // 年度指标完成情况

    @Alias("textField_m21p4jl8")
    private String parentTaskId; // 父级任务编号

    @Alias("textField_m102raxm")
    private String q1Target; // Q1目标

    @Alias("textField_m10at4ej")
    private String q2Target; // Q2目标

    @Alias("textField_m10at4ek")
    private String q3Target; // Q3目标

    @Alias("textField_m10at4el")
    private String q4Target; // Q4目标

    @Alias("textField_m4s27u1s")
    private String janActualCompletion; // 1月实际达成

    @Alias("textField_m4s27u1u")
    private String janDeviationReason; // 1月偏差原因说明

    @Alias("textField_m4s27u1w")
    private String janImprovementMeasures; // 1月改进举措

    @Alias("textField_m4s27u1t")
    private String febActualCompletion; // 2月实际达成

    @Alias("textField_m4s27u1v")
    private String febDeviationReason; // 2月偏差原因说明

    @Alias("textField_m4s27u1x")
    private String febImprovementMeasures; // 2月改进举措

    @Alias("textField_m21hlief")
    private String marActualCompletion; // 3月实际达成

    @Alias("textField_m21hlieg")
    private String marDeviationReason; // 3月偏差原因说明

    @Alias("textField_m21hlieh")
    private String marImprovementMeasures; // 3月改进举措

    @Alias("textField_m4s27u1y")
    private String aprActualCompletion; // 4月实际达成

    @Alias("textField_m4s27u20")
    private String aprDeviationReason; // 4月偏差原因说明

    @Alias("textField_m4s27u22")
    private String aprImprovementMeasures; // 4月改进举措

    @Alias("textField_m4s27u1z")
    private String mayActualCompletion; // 5月实际达成

    @Alias("textField_m4s27u21")
    private String mayDeviationReason; // 5月偏差原因说明

    @Alias("textField_m4s27u23")
    private String mayImprovementMeasures; // 5月改进举措

    @Alias("textField_m21hliei")
    private String junActualCompletion; // 6月实际达成

    @Alias("textField_m21hliel")
    private String junDeviationReason; // 6月偏差原因说明

    @Alias("textField_m21hlieo")
    private String junImprovementMeasures; // 6月改进举措

    @Alias("textField_m4s27u35")
    private String julActualCompletion; // 7月实际达成

    @Alias("textField_m4s27u37")
    private String julDeviationReason; // 7月偏差原因说明

    @Alias("textField_m4s27u39")
    private String julImprovementMeasures; // 7月改进举措

    @Alias("textField_m4s27u36")
    private String augActualCompletion; // 8月实际达成

    @Alias("textField_m4s27u38")
    private String augDeviationReason; // 8月偏差原因说明

    @Alias("textField_m4s27u3a")
    private String augImprovementMeasures; // 8月改进举措

    @Alias("textField_m21hliej")
    private String sepActualCompletion; // 9月实际达成

    @Alias("textField_m21hliem")
    private String sepDeviationReason; // 9月偏差原因说明

    @Alias("textField_m21hliep")
    private String sepImprovementMeasures; // 9月改进举措

    @Alias("textField_m4s27u3b")
    private String octActualCompletion; // 10月实际达成

    @Alias("textField_m4s27u3d")
    private String octDeviationReason; // 10月偏差原因说明

    @Alias("textField_m4s27u3f")
    private String octImprovementMeasures; // 10月改进举措

    @Alias("textField_m4s27u3c")
    private String novActualCompletion; // 11月实际达成

    @Alias("textField_m4s27u3e")
    private String novDeviationReason; // 11月偏差原因说明

    @Alias("textField_m4s27u3g")
    private String novImprovementMeasures; // 11月改进举措

    @Alias("textField_m21hliek")
    private String decActualCompletion; // 12月实际达成

    @Alias("textField_m21hlien")
    private String decDeviationReason; // 12月偏差原因说明

    @Alias("textField_m21hlieq")
    private String decImprovementMeasures; // 12月改进举措
}
