package com.muzhi.tianhe;

import com.alibaba.fastjson.JSONObject;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.aliwork.YDSearch;
import com.malk.service.aliwork.YDClient;
import com.malk.service.aliwork.YDService;
import com.malk.utils.UtilEnv;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

@Slf4j
@SpringBootTest(classes = TianHeApplication.class)
public class YdTest {


    @Autowired
    private YDClient ydClient;
    private String _matchFormUuid(String code) {
        Map<String, String> formUuid = UtilMap.empty();
        if (UtilEnv.getActiveProfile().equals(UtilEnv.ENV_PROD)) {
            formUuid.put("TASK", "FORM-B8C09F8900BD43EC8025068B3CB4C4F8SLAD");
            formUuid.put("CUSTFIELD", "FORM-031FC90C7D3C49A394600D4EE6C037915QSI");
        } else {
            formUuid.put("TASK", "FORM-59A439BCB8194F10B8C862C579F285F5KWG6");                // 文件夹/文件版本记录
            formUuid.put("CUSTFIELD", "FORM-C5B14D2EE4464AED835BA259388E829D9937");            // 文件夹权限
        }
        return formUuid.get(code);
    }



    private void addTaskAuthUserByTaskId(String taskId,List<String> users){
        List<Map> list = (List<Map>) ydClient.queryData(YDParam.builder().formUuid(_matchFormUuid("TASK")).searchCondition(
                JSONObject.toJSONString(Arrays.asList(new YDSearch("textField_m21p4jl8",taskId,"taskid", YDSearch.Type.TEXT_FIELD,YDSearch.Operator.LIKE)))
        ).build(), YDConf.FORM_QUERY.retrieve_list).getData();
        if(list!=null&&list.size()>0){

        }
    }

    @Test
    public void test(){
        addTaskAuthUserByTaskId("66f67c592b7746cb5e82bc6e",Arrays.asList("itoutsource.cz630"));
    }

}
