package com.muzhi.tianhe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muzhi.tianhe.entity.Task;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

//在对应的Mapper上面继承基本的类BaseMapper
@Repository
public interface TaskMapper extends BaseMapper<Task> {
    // 如果有自定义查询方法，可以在这里定义

    List<Map> selectColor(Map param);

    List<Map> selectColorByPerson(Map param);

    List<String> getUsers(@Param("projectId")String projectId);
}