package com.muzhi.tianhe;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.aliwork.YDSearch;
import com.malk.service.aliwork.YDClient;
import com.malk.utils.PublicUtil;
import com.malk.utils.UtilEnv;
import com.malk.utils.UtilMap;
import com.muzhi.tianhe.service.TbService;
import com.muzhi.tianhe.service.ThTbService;
import com.muzhi.tianhe.service.impl.TbApiService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.*;

@Slf4j
@SpringBootTest(classes = TianHeApplication.class)
public class TbTest {

    @Autowired
    private TbService tbService;
    @Autowired
    private TbApiService tbApiService;
    @Autowired
    private ThTbService thTbService;

    @Test
    public void test(){
        try {
            tbService.asyncXm("66973433842f06a0e67ec766");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private String data="{\"created\":\"2024-06-25T03:05:18.778Z\",\"creatorId\":\"65b1dc8355d0f38026a1c3db\",\"customfieldId\":\"65b9e3af475c2137f56d572d\",\"customfieldOldValue\":[],\"customfieldType\":\"lookup\",\"customfieldValue\":[{\"id\":\"65b1dc8355d0f38026a1c3db\",\"title\":\"顾虎臣\"}],\"taskId\":\"667127e4a830bd315b3baf44\",\"updated\":\"2024-06-25T03:05:18.778Z\"}";

    @Autowired
    private YDClient ydClient;

    @Test
    public void tbTest(){
        String taskId="6710c4ff790cb0cecab2f993";
//        thTbService.task(taskId,"0",JSONObject.parseObject(data));
        JSONArray array=tbApiService.getTasksInfo(taskId);
        log.info("{}",array);
    }

    @Test
    public void syncStatus(){
        thTbService.syncState();
//        thTbService.syncStatePronvject("66651dd9abba8250461819d6");
//        thTbService.taskCancel(new JSONObject().fluentPut("taskId","66f66b7f790cb0ceca932b2d"));
//        saveTask("a641df31-bc6d-41c9-9781-6f73300c3ce2");
    }
}
